Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#13909 - [courier-imap] need authdaemon at startup

Attached to Project: Community Packages
Opened by Gerardo Exequiel Pozzi (djgera) - Saturday, 21 March 2009, 22:18 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Friday, 24 September 2010, 03:31 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Tobias Kieslich (tobias)
Paul Mattal (paul)
Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 4
Private No

Details

Description: This added a condition like in rc-script from courier-mta to start it. ;)

courier-imap-4.4.1-1
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Friday, 24 September 2010, 03:31 GMT
Reason for closing:  Fixed
Comment by Tobias Powalowski (tpowa) - Tuesday, 02 June 2009, 13:08 GMT
assigned to correct tobias
Comment by Paul Mattal (paul) - Sunday, 06 December 2009, 18:12 GMT
I don't see a problem with this, and since it's sat for awhile, I plan to implement it. We can always undo if it's a problem for some reason.
Comment by Paul Mattal (paul) - Sunday, 06 December 2009, 19:06 GMT
applied this patch in 4.4.1-3 in [testing] for both arches; can someone please confirm this works as expected?
Comment by Allan McRae (Allan) - Monday, 15 February 2010, 11:34 GMT
@Paul: the patch had issues so the package put in [testing] needs fixed

${AUTO_AUTHDAEMON="true"}
should be
${AUTO_AUTHDAEMON}="true"
Comment by Gerardo Exequiel Pozzi (djgera) - Monday, 15 February 2010, 16:23 GMT
Then also courier-mta [#1], should be fixed, I just copied exact lines from it. but I missed, is stopping the authdaemon.

[#1] http://repos.archlinux.org/wsvn/packages/courier-mta/repos/extra-i686/courier-mta.rc.d
Comment by Gerardo Exequiel Pozzi (djgera) - Monday, 15 February 2010, 16:38 GMT
patches against trunk.
Comment by Philippe LUC (philfifi) - Friday, 11 June 2010, 21:47 GMT
There should be spaces between the "=" sign ! Otherwise, the test
${AUTO_AUTHDAEMON}="true"
is ALWAYS true.

Also, you should set the variable AUTO_AUTHDAEMON inside /etc/conf.d/courier-imap.
Comment by Luís Moreira (knap) - Tuesday, 29 June 2010, 16:51 GMT
Why isn't this fixed after more than 1 year?

This is breaking peoples email systems, this isn't of low severity.

After 5 minutes of lurking around I managed to fix it, why haven't the devs been able to do the same?

Comment by Johnny Halfmoon (jhalfmoon) - Tuesday, 13 July 2010, 10:28 GMT
I agree with Luís. This bug should not be flagged low ; The courier imap installation is broken by default.
Comment by Carl Carstenson (carstenson) - Friday, 27 August 2010, 22:06 GMT
I opened a bug yesterday that was assigned to Tobias. I now see that there are three problems with this package:

1) The conditions to start and stop authdaemond are wrong and always going to be "true".
2) The default condition needs to be put into /etc/conf.d/courier-imap per Philippe's comment.
3) The stop code for authdaemond needs to be taken from the end of the start function and put at the beginning of the stop function.

Loading...